Name:          fcgiwrap
Version:       1.1.0
Release:       2mamba
Summary:       Simple FastCGI wrapper for CGI scripts
Group:         System/Servers
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/gnosek/fcgiwrap
Source:        https://github.com/gnosek/fcgiwrap.git/%{version}/fcgiwrap-%{version}.tar.bz2
Patch0:        fcgiwrap-1.1.0-upstream-bugfix.patch
Patch1:        fcgiwrap-1.1.0-systemd.patch
Patch2:        fcgiwrap-1.1.0-service-user-group.patch
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libfcgi-devel
BuildRequires: libsystemd-devel
## AUTOBUILDREQ-END

%description
Simple FastCGI wrapper for CGI scripts.

%debug_package

%prep
%setup -q
%patch0 -p1 -b .upstream-bugfix
%patch1 -p1 -b .systemd
%patch2 -p1

autoreconf -f -i

%build
%configure \
   --prefix=/ \
   CFLAGS='%{optflags} -Wno-error=implicit-fallthrough'

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%post
%systemd_post fcgiwrap.socket
:

%preun
%systemd_preun fcgiwrap.socket
:

%postun
%systemd_postun_with_restart fcgiwrap.socket
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_sbindir}/fcgiwrap
%{_unitdir}/fcgiwrap.service
%{_unitdir}/fcgiwrap.socket
%{_mandir}/man8/fcgiwrap.8*

%changelog
* Sun Aug 13 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- set valid user and group in fcgiwrap.service for apache and nginx in openmamba

* Sat Aug 12 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-1mamba
- package created using the webbuild interface
